/ api / name / gb_event
GB_EVENT
Syntax

    #define GB_EVENT ( symbol , type , signature , id ) ...

Declares a event symbol.

- symbol is the name of the event.
- type is the string representation of the event return type.
- signature is the signature of the event.
- id is the address of a variable that will receive an event identifier allocated by the interpreter. You must have declared this variable with the DECLARE_EVENT macro.

If an event returns nothing, use `NULL` as return datatype.

### See also

Class Description Method & Property Signatures